Submit Caliper Envelope
curl --request POST \
--url https://platform.dev.timeback.com/caliper/v1p2 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://platform.dev.timeback.com/caliper/v1p2"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://platform.dev.timeback.com/caliper/v1p2', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "Invalid data provided",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "invaliddata"
}
]
}
}{
"imsx_codeMajor": "success",
"imsx_severity": "status",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "fullsuccess"
}
]
}
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "Access forbidden",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "forbidden"
}
]
}
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "Internal server error",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "internal_server_error"
}
]
}
}Caliper
Submit Caliper Envelope
Receives a Caliper v1.2 Envelope, validates the payload against the Caliper specification, and sends the contained Event and Entity data for processing. The server acknowledges receipt with 202 Accepted per the Caliper sensor transport specification.
POST
/
caliper
/
v1p2
Submit Caliper Envelope
Authorizations
OAuth 2.0 client credentials flow. Contact timeback@trilogy.com to request credentials for your application.
Body
application/json
Caliper v1.2 Envelope containing one or more events
Response
Accepted — Envelope received, validated, and sent for processing
⌘I